<?php

header('Access-Control-Allow-Origin: *');

header('Access-Control-Allow-Methods: POST, GET, OPTIONS');

header('Access-Control-Allow-Headers: Origin, Content-Type, Accept, Authorization, X-Request-With');

require_once "include/config.php";



$contentType = isset($_SERVER["CONTENT_TYPE"]) ? trim($_SERVER["CONTENT_TYPE"]) : '';

$response = array();



if ($contentType === "application/json") {

	//Receive the RAW post data.

	$content = trim(file_get_contents("php://input"));

	$decoded = json_decode($content);

	

	$username = htmlspecialchars($connection->real_escape_string($decoded->data->username));

	$phone = htmlspecialchars($connection->real_escape_string($decoded->data->phone));

	

	if (!empty($username) && !empty($phone)) {

		

		$sql = "SELECT * FROM temporder WHERE username = '$username' AND phone = '$phone' AND order_type = 'Shopping'

			ORDER BY order_date DESC";



		$query = $connection->query($sql);

		

		if ($query->num_rows >= 1) {

			$response = array(

				"status" => 1,

				"msg" => "All Orders",

			);

			while($row = $query->fetch_array()) {

				$im = $connection->query("SELECT * FROM users where username = '$username' ")->fetch_assoc();
				$row['image'] = $im['profile_pic'];
				$response['orders'][] = $row;

			}

			

		} else {

			$response = array(

				"status" => 2,

				"msg" => "No Orders found",

			);

		}

	} else {

		$response = array(

			"status" => 0,

			"msg" => 'Login again to see your orders.',

		);

	}

} else {

	$response = array(

		'status' => 99,

		'msg' => "unauthorised request",

	);

}



echo json_encode($response);