<?php
header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: GET, OPTIONS');
header('Access-Control-Allow-Headers: Origin, Content-Type, Accept, Authorization, X-Request-With');
require_once "include/config.php";

$contentType = isset($_SERVER["CONTENT_TYPE"]) ? trim($_SERVER["CONTENT_TYPE"]) : '';
$response = array();

if ($contentType === "application/json") {
	//Receive the RAW post data.
	$content = trim(file_get_contents("php://input"));
	$decoded = json_decode($content);
	
	$sql = "SELECT * FROM banner WHERE status = 'A'";
	$query = $connection->query($sql);
	
	$response = array();
	
	if ($query->num_rows >= 1) {
		$response = array(
			"status" => 1,
			"msg" => "Banners",
		);
		
		while ($row = $query->fetch_array()) {
			$response['value'][] = $row;
		}
		
	} else {
		$response = array(
			"status" => 2,
			"msg" => "Error",
		);
	}
} else {
	$response = array(
		'status' => 99,
		'msg' => "unauthorised request",
	);
}

echo json_encode($response);