<?php
header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: POST, GET, OPTIONS');
header('Access-Control-Allow-Headers: Origin, Content-Type, Accept, Authorization, X-Request-With');
require_once "include/config.php";

$contentType = isset($_SERVER["CONTENT_TYPE"]) ? trim($_SERVER["CONTENT_TYPE"]) : '';
$response = array();

if ($contentType === "application/json") {
	//Receive the RAW post data.
	$content = trim(file_get_contents("php://input"));
	$decoded = json_decode($content);
	
	$sql = "SELECT * FROM config WHERE name = 'coupon_banner'";
	$query = $connection->query($sql);
	
	if ($query->num_rows >= 1) {
		$response = array(
			"status" => 1,
			"msg" => "Success",
			"value" => $query->fetch_assoc(),
		);
	} else {
		$response = array(
			"status" => 2,
			"msg" => "nothing found",
		);
	}
} else {
	$response = array(
		'status' => 99,
		'msg' => "unauthorised request",
	);
}

echo json_encode($response);