<?php
header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: GET, POST, OPTIONS');
header('Access-Control-Allow-Headers: Origin, Content-Type, Accept, Authorization, X-Request-With');
header('Access-Control-Allow-Credentials: true');

date_default_timezone_set("Asia/Kolkata");
require_once 'include/config.php';

$contentType = isset($_SERVER["CONTENT_TYPE"]) ? trim($_SERVER["CONTENT_TYPE"]) : '';
$response = array();
$today = date("Y-m-d");

if ($contentType === "application/json") {
	//Receive the RAW post data.
	$content = trim(file_get_contents("php://input"));
	$decoded = json_decode($content);
	
	$total = (float)htmlspecialchars($connection->real_escape_string($decoded->data->total));
	
	if(!empty($total)) {
		
		$sql = "SELECT * FROM coupons WHERE status = 'A' AND expiry_date >= '$today' AND writable = 'N'";//AND type = 'Coupon' ";//&& type='cashback' "; //AND type = 'Coupon'
		$query = $connection->query($sql);
		//echo $sql; die();
		
		if($query->num_rows >= 1) {
			$response = array(
				'status' => 1,
				'msg' => "All The Coupons",
			);
			
			while($row = $query->fetch_array()) {
				$ss = $connection->query("SELECT * FROM coupons WHERE status = 'A' AND expiry_date >= '$today' AND writable = 'Y'")->fetch_assoc();
				$response['ss'][] = $ss;
				$response['value'][] = $row;
			}
			
		} else {
			
			
			$response = array(
				'status' => 2,
				"msg" => "No Coupons Available",
			);
			
			$ss = $connection->query("SELECT * FROM coupons WHERE status = 'A' AND expiry_date >= '$today' AND writable = 'Y'");
			while($ss1 = $ss->fetch_assoc()){
				$response['ss'][] = $ss1;
			}
		}
		
	
	} else {
		$response = array(
			'status' => 0,
			'msg' => "Empty Fields",
		);
	}
	
} else {
	$response = array(
		"status" => 99,
		"msg" => "unauthorised access",
	);
}
echo json_encode($response);