<?php
header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: POST, GET, OPTIONS');
header('Access-Control-Allow-Headers: Origin, Content-Type, Accept, Authorization, X-Request-With');
require_once "include/config.php";

$contentType = isset($_SERVER["CONTENT_TYPE"]) ? trim($_SERVER["CONTENT_TYPE"]) : '';

$sql = "";
$response = array();

if ($contentType === "application/json") {
	//Receive the RAW post data.
	$content = trim(file_get_contents("php://input"));
	$decoded = json_decode($content);
	
	$sql = "SELECT * FROM special_category_banners WHERE status = 'A' ORDER BY id ASC";
	
	$query = $connection->query($sql);
	
	if ($query->num_rows >= 1) {
		
		$response = array(
			'status' => 1,
			'msg' => 'all special categories banners.',
		);
		
		while ($row = $query->fetch_array()) {
			$response['banners'][] = $row;
		}
	} else {
		$response = array(
			'status' => 2,
			'msg' => 'no special categories banners available'
		);
	}
	
} else {
	$response = array(
		'status' => 99,
		'msg => "unauthorized request'
	);
}
echo json_encode($response);