<?php
header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: GET, POST, OPTIONS');
header('Access-Control-Allow-Headers: Origin, Content-Type, Accept, Authorization, X-Request-With');
//header('Access-Control-Allow-Credentials: true');

require_once 'include/config.php';
$contentType = isset($_SERVER["CONTENT_TYPE"]) ? trim($_SERVER["CONTENT_TYPE"]) : '';

$response = array();

if ($contentType === "application/json") {
	//Receive the RAW post data.
	$content = trim(file_get_contents("php://input"));
	$decoded = json_decode($content);
	
	$phone = htmlspecialchars($connection->real_escape_string($decoded->data->phone));
	$username = htmlspecialchars($connection->real_escape_string($decoded->data->username));
	$old_password = htmlspecialchars($connection->real_escape_string($decoded->data->old_password));
	$new_password = htmlspecialchars($connection->real_escape_string($decoded->data->new_password));
	$retype_password = htmlspecialchars($connection->real_escape_string($decoded->data->new_password_repeat));
	
	if (!empty($phone) && !empty($username) && !empty($old_password) && !empty($new_password) && !empty($retype_password)) {
		
		if ($new_password === $retype_password) {
			
			$isUser = $connection->query("SELECT * FROM users WHERE phone = '$phone' AND username = '$username' AND password = '$old_password'");
			
			if ($isUser->num_rows === 1) {
				
				$sql = "UPDATE users SET password = '$new_password' WHERE phone = '$phone' AND username = '$username'
					AND password = '$old_password'";
				
				$query = $connection->query($sql);
				
				if ($query === true) {
					$response = array(
						'status' => 1,
						'msg' => "Profile Updated Successfully.",
					);
				} else {
					$response = array(
						'status' => 2,
						'msg' => "unexpected error",
					);
				}
				
			} else {
				$response = array(
					'status' => 3,
					'msg' => "No user found with following password",
				);
			}
			
		} else {
			$response = array(
				'status' => 4,
				'msg' => "Password and retype password not matched",
			);
		}
	} else {
		$response['status'] = 0;
		$response['msg'] = "Empty Filed('s)";
	}
	
} else {
	$response = array(
		'status' => 99,
		'msg' => "unauthorised request",
	);
}
echo json_encode($response);