<?php
header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: GET, POST, OPTIONS');
header('Access-Control-Allow-Headers: Origin, Content-Type, Accept, Authorization, X-Request-With');
//header('Access-Control-Allow-Credentials: true');

require_once 'include/config.php';
$contentType = isset($_SERVER["CONTENT_TYPE"]) ? trim($_SERVER["CONTENT_TYPE"]) : '';

$response = array();

if ($contentType === "application/json") {
	//Receive the RAW post data.
	$content = trim(file_get_contents("php://input"));
	$decoded = json_decode($content);
	
	$phone = htmlspecialchars($connection->real_escape_string($decoded->data->phone));
	$username = htmlspecialchars($connection->real_escape_string($decoded->data->username));
	
	if (!empty($phone) && !empty($username)) {
		
		$sql = "SELECT * FROM user_wallet WHERE username = '$username' AND phone = '$phone'";
		$query = $connection->query($sql);
		
		if ($query->num_rows === 1) {
			$response = array(
				'status' => 1,
				'msg' => "Wallet Balance",
				'value' => $query->fetch_assoc(),
			);
		} else {
			$response = array(
				'status' => 2,
				'msg' => "No User Found",
			);
		}
	} else {
		$response['status'] = 0;
		$response['msg'] = "Empty Filed('s)";
	}
} else {
	$response = array(
		'status' => 99,
		'msg' => "unauthorised request",
	);
}
echo json_encode($response);