<?php
header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: GET, POST, OPTIONS');
header('Access-Control-Allow-Headers: Origin, Content-Type, Accept, Authorization, X-Request-With');
//header('Access-Control-Allow-Credentials: true');

date_default_timezone_set("Asia/Kolkata");
require_once 'include/config.php';

$contentType = isset($_SERVER["CONTENT_TYPE"]) ? trim($_SERVER["CONTENT_TYPE"]) : '';
$response = array();
$today = date("Y-m-d");

if ($contentType === "application/json") {
	//Receive the RAW post data.
	$content = trim(file_get_contents("php://input"));
	$decoded = json_decode($content);
	
	$code = htmlspecialchars($connection->real_escape_string($decoded->data->code));
	
	if (!empty($code)) {
		
		$sql = "SELECT * FROM combo_offers WHERE code = '$code' AND status = 'A'";
		$query = $connection->query($sql);
		
		if ($query->num_rows >= 1) {
			$response = array(
				'status' => 1,
				'msg' => "Combo Offer Details",
			);
			
			$i = 0;
			while ($row = $query->fetch_array()) {
				$response['combo'] = $row;
				if(!empty($row['product_1_code'])) {
					$response['combo']['products'][] = $connection->query("SELECT * FROM products WHERE product_code = '$row[product_1_code]'")
						->fetch_assoc();
				}
				if(!empty($row['product_2_code'])) {
					$response['combo']['products'][] = $connection->query("SELECT * FROM products WHERE product_code = '$row[product_2_code]'")
						->fetch_assoc();
				}
				if(!empty($row['product_3_code'])) {
					$response['combo']['products'][] = $connection->query("SELECT * FROM products WHERE product_code = '$row[product_3_code]'")
						->fetch_assoc();
				}
			}
			
		} else {
			$response = array(
				'status' => 2,
				"msg" => "No Combo Available",
			);
		}
	} else {
		$response = array(
			'status' => 0,
			"msg" => "No Code Received",
		);
	}
} else {
	$response = array(
		"status" => 99,
		"msg" => "unauthorised access",
	);
}
echo json_encode($response);