<?php
header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: POST, GET, OPTIONS');
header('Access-Control-Allow-Headers: Origin, Content-Type, Accept, Authorization, X-Request-With');
require_once "include/config.php";

$contentType = isset($_SERVER["CONTENT_TYPE"]) ? trim($_SERVER["CONTENT_TYPE"]) : '';
$response = array();

if ($contentType === "application/json") {
	//Receive the RAW post data.
	$content = trim(file_get_contents("php://input"));
	$decoded = json_decode($content);
	
	$category_code = htmlspecialchars($connection->real_escape_string($decoded->data->code));
	
	if(empty($category_code)) {
		$sql = "SELECT * FROM products WHERE special_product != '0'ORDER BY status,price  ASC";
	} else {
		$sql = "SELECT * FROM products WHERE special_product = '$category_code'ORDER BY status,price  ASC";
	}
	
	$query = $connection->query($sql);
	
	if ($query->num_rows >= 1) {
		$response = array(
			"status" => 1,
			"msg" => "Success",
		);
		
		while($row = $query->fetch_array()) {
			$response['products'][] = $row;
		}
		
	} else {
		$response = array(
			"status" => 2,
			"msg" => "nothing found",
		);
	}
} else {
	$response = array(
		'status' => 99,
		'msg' => "unauthorised request",
	);
}

echo json_encode($response);