<?php
header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: POST, GET, OPTIONS');
header('Access-Control-Allow-Headers: Origin, Content-Type, Accept, Authorization, X-Request-With');
require_once "include/config.php";

$contentType = isset($_SERVER["CONTENT_TYPE"]) ? trim($_SERVER["CONTENT_TYPE"]) : '';
$response = array();

if ($contentType === "application/json") {
	//Receive the RAW post data.
	$content = trim(file_get_contents("php://input"));
	$decoded = json_decode($content);
	
	$username = htmlspecialchars($connection->real_escape_string($decoded->data->username));
	$phone = htmlspecialchars($connection->real_escape_string($decoded->data->phone));
	
	if (!empty($username) && !empty($phone)) {
		
		$sql = "SELECT * FROM user_wallet WHERE phone = '$phone'";
		$query = $connection->query($sql);
		//echo $sql ;
		//echo $query; 
		//die;
		if ($query->num_rows === 1) {
			$response = array(
				"status" => 1,
				"msg" => "User Wallet Balance",
				'walletDetails' => $query->fetch_assoc(),
			);
			
		} else {
			$response = array(
				"status" => 2,
				"msg" => "unexpected error",
			);
		}
	} else {
		$response = array(
			"status" => 0,
			"msg" => 'Login again to see your balance.',
		);
	}
} else {
	$response = array(
		'status' => 99,
		'msg' => "unauthorised request",
	);
}

echo json_encode($response);