<?php
header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: GET, POST, OPTIONS');
header('Access-Control-Allow-Headers: Origin, Content-Type, Accept, Authorization, X-Request-With');
//header('Access-Control-Allow-Credentials: true');

date_default_timezone_set("Asia/Kolkata");
require_once 'include/config.php';

$contentType = isset($_SERVER["CONTENT_TYPE"]) ? trim($_SERVER["CONTENT_TYPE"]) : '';
$response = array();
$today = date("Y-m-d");

if ($contentType === "application/json") {
	//Receive the RAW post data.
	$content = trim(file_get_contents("php://input"));
	$decoded = json_decode($content);
	
	$code = htmlspecialchars($connection->real_escape_string($decoded->data->code));
	
	if (!empty($code)) {
		
		$sql = "SELECT * FROM coupons WHERE status = 'A' AND expiry_date >= '$today' AND coupon_code = '$code'
			AND type = 'Offer'";
		$query = $connection->query($sql);
		
		if($query->num_rows === 1) {
			$response = array(
				'status' => 1,
				'msg' => "All The Coupons",
				'value' => $query->fetch_assoc(),
			);
		} else {
			$response = array(
				'status' => 2,
				'msg' => "NO coupon found",
			);
			
		}
	} else {
		$response = array(
			'status' => 0,
			'msg' => "Empty Fields",
			'a'=> $decoded
		);
	}
} else {
	$response = array(
		"status" => 99,
		"msg" => "unauthorised access",
	);
}
echo json_encode($response);