<?php
header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: GET, POST, OPTIONS');
header('Access-Control-Allow-Headers: Origin, Content-Type, Accept, Authorization, X-Request-With');
//header('Access-Control-Allow-Credentials: true');

require_once 'include/config.php';
$contentType = isset($_SERVER["CONTENT_TYPE"]) ? trim($_SERVER["CONTENT_TYPE"]) : '';

$response = array();

if ($contentType === "application/json") {
	//Receive the RAW post data.
	$content = trim(file_get_contents("php://input"));
	$decoded = json_decode($content);
	
	$name = htmlspecialchars($connection->real_escape_string($decoded->data->name));
	$email = htmlspecialchars($connection->real_escape_string($decoded->data->email));
	$phone = htmlspecialchars($connection->real_escape_string($decoded->data->phone));
	$altphone = htmlspecialchars($connection->real_escape_string($decoded->data->altphone));
	$dob = htmlspecialchars($connection->real_escape_string($decoded->data->dob));
	$dob = date('Y-m-d', strtotime($dob));
	$address = htmlspecialchars($connection->real_escape_string($decoded->data->address));
	$username = htmlspecialchars($connection->real_escape_string($decoded->data->username));
	$status = htmlspecialchars($connection->real_escape_string($decoded->data->status));
	$city = htmlspecialchars($connection->real_escape_string($decoded->data->city));
	
	if (!empty($name)  && !empty($phone) && !empty($username)) {
		
		$sql = "UPDATE users SET name = '$name', email = '$email', dob = '$dob', address = '$address',city = '$city' WHERE phone = '$phone'
			AND username = '$username'";
		
		$query = $connection->query($sql);
		
		if ($query === true) {
			$response = array(
				'status' => 1,
				'msg' => "Profile Updated Successfully.",
			);
		} else {
			$response = array(
				'status' => 2,
				'msg' => "unexpected error",
			);
		}
	} else {
		$response['status'] = 0;
		$response['msg'] = "Empty Filed('s)";
	}
	
} else {
	$response = array(
		'status' => 99,
		'msg' => "unauthorised request",
	);
}
echo json_encode($response);
